gnutls_sign_callback_set(3)

NAME
gnutls_sign_callback_set - API function

SYNOPSIS
#include <gnutls/compat.h>

void gnutls_sign_callback_set(gnutls_session_t session, gnutls_sign_func sign_func, void * userdata);

ARGUMENTS

gnutls_session_t session
    is a gnutls session

gnutls_sign_func sign_func
    function pointer to application's sign callback.

void * userdata
    void pointer that will be passed to sign callback.

DESCRIPTION
Set the callback function. The function must have this prototype: typedef int (*gnutls_sign_func) (gnutls_session_t session, void *userdata, gnutls_certificate_type_t cert_type, const gnutls_datum_t * cert, const gnutls_datum_t * hash, gnutls_datum_t * signature); The userdata parameter is passed to the sign_func verbatim, and can be used to store application-specific data needed in the callback function. See also gnutls_sign_callback_get().

DEPRECATED
Use the PKCS 11 or gnutls_privkey_t interfacess like gnutls_privkey_import_ext() instead.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/